Hi,
 
I just tried installing the CVS version of cedet on Centos 5.4 (emacs 21.4) and got the following error after running "make EMACS=emacs":
 
"emacs" -batch --no-site-file -l grammar-make-script -f semantic-grammar-batch-build-packages wisent-java-tags.wy wisent-awk.wy wisent-calc.wy wisent-cim.wy wisent-java.wy wisent-python.wy wisent-javascript-jv.wy
Loading /usr/libexec/emacs/21.4/x86_64-redhat-linux-gnu/fns-21.4.1-x.el (source)...
Compiling Grammars from: /home/wlentz/cedet/semantic/semantic-grammar.elc
Package `wisent-java-tags-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-java-tags-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-awk-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-awk-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-calc-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-calc-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-cim-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-cim-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-java-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-java-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-python-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-python-wy.el:
  !! error (("Bad input grammar"))
Package `wisent-javascript-jv-wy' is up to date.
While compiling toplevel forms in file /home/wlentz/cedet/semantic/wisent/wisent-javascript-jv-wy.el:
  !! error (("Bad input grammar"))
make[2]: *** [wy] Error 1
make[2]: Leaving directory `/home/wlentz/cedet/semantic/wisent'
make[1]: *** [wisent] Error 2
make[1]: Leaving directory `/home/wlentz/cedet/semantic'
make: *** [semantic] Error 2
Any ideas on how to resolve this?
 
Thanks,
Will